#include "TrackedCorners.h"

TrackedCorners::TrackedCorners( int maxPoints )
{
	_maxPoints = maxPoints;
	
	_numPoints = 0;

	_points = new int[maxPoints * 2];
	_validPoints = new bool[maxPoints];
	_trustyRate = new float[maxPoints];

	std::fill( _trustyRate, _trustyRate + maxPoints, 1.0f );
	std::fill( _validPoints, _validPoints + maxPoints , true );
}

TrackedCorners::~TrackedCorners()
{
	delete []_points;
	delete []_validPoints;
	delete [] _trustyRate;
}
